summaryrefslogtreecommitdiff
path: root/rt/devel/tools/rt-parse-mail-log
diff options
context:
space:
mode:
Diffstat (limited to 'rt/devel/tools/rt-parse-mail-log')
-rwxr-xr-xrt/devel/tools/rt-parse-mail-log78
1 files changed, 78 insertions, 0 deletions
diff --git a/rt/devel/tools/rt-parse-mail-log b/rt/devel/tools/rt-parse-mail-log
new file mode 100755
index 000000000..080c52cc4
--- /dev/null
+++ b/rt/devel/tools/rt-parse-mail-log
@@ -0,0 +1,78 @@
+#!/bin/bash
+# BEGIN BPS TAGGED BLOCK {{{
+#
+# COPYRIGHT:
+#
+# This software is Copyright (c) 1996-2017 Best Practical Solutions, LLC
+# <sales@bestpractical.com>
+#
+# (Except where explicitly superseded by other copyright notices)
+#
+#
+# LICENSE:
+#
+# This work is made available to you under the terms of Version 2 of
+# the GNU General Public License. A copy of that license should have
+# been provided with this software, but in any event can be snarfed
+# from www.gnu.org.
+#
+# This work is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 or visit their web page on the internet at
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html.
+#
+#
+# CONTRIBUTION SUBMISSION POLICY:
+#
+# (The following paragraph is not intended to limit the rights granted
+# to you to modify and distribute this software under the terms of
+# the GNU General Public License and is only of importance to you if
+# you choose to contribute your changes and enhancements to the
+# community by submitting them to Best Practical Solutions, LLC.)
+#
+# By intentionally submitting any modifications, corrections or
+# derivatives to this work, or any other work intended for use with
+# Request Tracker, to Best Practical Solutions, LLC, you confirm that
+# you are the copyright holder for those contributions and you grant
+# Best Practical Solutions, LLC a nonexclusive, worldwide, irrevocable,
+# royalty-free, perpetual, license to use, copy, create derivative
+# works based on those contributions, and sublicense and distribute
+# those contributions and any derivatives thereof.
+#
+# END BPS TAGGED BLOCK }}}
+function usage() {
+ if [[ -n $1 ]]; then
+ echo "$1"
+ echo
+ fi
+ echo "usage: $0 <logfile> ticket <id>"
+}
+
+logfile=$1
+what=$2
+id=$3
+
+if [[ -z $logfile || -z $what || -z $id ]]; then
+ usage
+ exit 1
+fi
+
+case "$what" in
+ ticket)
+ pattern='\[info\]: <rt-[^-]+-\d+-\d+-\d+\.'$id
+ ;;
+ *)
+ usage "Er, what?"
+ exit 1
+ ;;
+esac
+
+grep -nP "$pattern" $logfile \
+ | perl -aF- -ne 'print "\n" if $last != $F[3]; print join "-", @F; $last = $F[3];' \
+ | ([[ -t 1 ]] && $PAGER || cat)